<!DOCTYPE html>


<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="{{ asset('public/app.css') }}">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.3/css/bootstrap.min.css" integrity="sha384-Zug+QiDoJOrZ5t4lssLdxGhVrurbmBWopoEl+M6BdEfwnCJZtKxi1KgxUyJq13dy"
          crossorigin="anonymous">


    <title>Document</title>
    <style>
        .cellEditor {
            max-width: 50px;
            margin: auto;
        }

        table td {
            width: 10px !important;
            text-align: center;
        }

        .modal-dialog {
            width: 98%;
            height: 92%;
            padding: 0;
        }

        .modal-content {
            width: 600px;
            height: 99%;
            overflow-y: scroll;
        }

        .tooltip {
            position: absolute;
        }
    </style>

</head>

<body>
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="{{ path('home') }}">Add places</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{{ path('graph') }}">Show Graph</a>
            </li>
        </ul>
    </div>
</nav>

<div style="position:absolute;right:0;width:50%;margin:3em">
    <table id="table" class="table table-striped table-bordered">

        <tr class="headers">
            <td>#</td>
            <td>Sommet 0</td>
            <td>Sommet 1</td>
            <td>Sommet 2</td>
        </tr>
        <tr>
            <td>Sommet 0</td>
            <td>0</td>
            <td>
                <input type="text" class="cellEditor form-control">
            </td>
            <td>Infinite</td>
        </tr>
        <tr>
            <td>Sommet 1</td>
            <td>Infinite</td>
            <td>0</td>
            <td>
                <input type="text" class="cellEditor form-control">
            </td>
        </tr>

        <tr>
            <td>Sommet 2</td>
            <td>Infinite</td>
            <td>Infinite</td>
            <td>0</td>
        </tr>



    </table>
    <button onclick="go()" class="btn btn-primary btn-block">Calculer !</button>
</div>



<div id="myModal" class="modal fade">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Résolution</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" id="results">

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
            </div>
        </div>
    </div>
</div>

<a id = "loadstudent" href = "#">Load student information</a>
</br>
</br>

<table class = "table">
    <tbody id = "student"></tbody>
</table>
<span class="tooltip">Test</span>

</body>
<script src="{{ asset('public/jquery-3.3.1.min.js') }}"></script>
<script language = "javascript">
    $(document).ready(function(){

        /*xxxA7*/

        $("#loadstudent").on("click", function(event){
            $.ajax({
                url:        '/getAll',
                type:       'POST',
                dataType:   'json',
                async:      true,

                success: function(data, status) {
                    var e = $('<tr><th>Name</th><th>Address</th></tr>');
                    $('#student').html('');
                    $('#student').append(e);

                    for(i = 0; i < data.length; i++) {
                        student = data[i];
                        var e = $('<tr><td id = "name"></td><td id = "address"></td></tr>');

                        $('#name', e).html(student['name']);
                        $('#address', e).html(student['address']);
                        $('#student').append(e);
                    }
                },
                error : function(xhr, textStatus, errorThrown) {
                    alert('Ajax request failed.');
                }
            });
        });
    });
</script>
<script>
    var nombreSommets = 3;

    var titles = [];

    var iteration = 0;

    function graphToTable(graph) {
        if (iteration == 0) {
            $("#results").append($("<h4>Initialisation</h4>"))
        } else {
            $("#results").append($("<h4>Itération " + iteration + "</h4>"))
        }


        var table = $("<table class='table table-bordered table-striped'></table>");

        var firstRow = $("<tr> </tr>");
        firstRow.append($("<td>#</td>"));
        titles.forEach(function (el) {
            firstRow.append($("<td>" + el + "</td>"));
        });


        table.append(firstRow);

        for (var i = 0; i < graph.length; i++) {
            var newRow = $("<tr></tr>");
            var vertex = graph[i];
            newRow.append($("<td>" + titles[i] + "</td>"));

            for (var j = 0; j < graph.length; j++) {
                newRow.append($("<td> " + vertex[j] + " </td>"));
            }

            table.append(newRow);
        }

        $("#results").append(table);
        iteration++;
    }




    function deleteNode(id) {
        $("#table tbody").children()[id + 1].remove();
        $("#table tbody tr").each(function () {
            $(this).children()[id + 1].remove();
        });
        nombreSommets--;
    }

    function deleteLink(from, to) {
        console.log(from);
        console.log(to);
        var toEdit = $("#table tbody").children()[from + 1].children[to + 1];

        toEdit.innerHTML = "Infinite";
    }

    function addLink(from, to) {
        console.log(from);
        console.log(to);
        var toEdit = $("#table tbody").children()[from + 1].children[to + 1];
        toEdit.innerHTML = "<input class='cellEditor form-control' type='text'>";
    }

    /* hounaaaa */

    function addSommet() {
        $("#table .headers").append(
            $("<td> Sommet " + nombreSommets + "  </td>")
        );
        var index = 0;
        $("#table tr").each(function () {
            index++;
            if (index == 1) {
                return;
            } else {
                $(this).append("<td>Infinite</td>")
            }
        });
        var newLine = $("<tr></tr>");
        newLine.append("<td> Sommet " + nombreSommets + "  </td>");

        for (var i = 0; i <= nombreSommets; i++) {

            if (i == nombreSommets) {
                newLine.append("<td> 0 </td>");
                continue;
            }
            newLine.append("<td> Inifinite </td>");
        }

        nombreSommets++;

        $("#table").append(newLine);
    }
</script>

<script>

</script>

<script src="{{ asset('public/floyd.js') }}"></script>
<script src="http://d3js.org/d3.v3.min.js"></script>
<script src="{{ asset('public/app.js') }}"></script>



<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.3/js/bootstrap.min.js" integrity="sha384-a5N7Y/aK3qNeh15eJKGWxsqtnX/wWdSZSKp+81YjTmS15nvnvxKHuzaWwXHDli+4"
        crossorigin="anonymous"></script>
<script>

    function go() {
        iteration = 0;
        $("#results").empty();
        var i = 0;
        titles = [];
        var graph = [];
        $("#table tbody tr").each(function () {
            if (i == 0) {

                i++;
                return;
            }
            var vertex = [];
            var j = 0;
            $(this).children().each(function () {
                if (j == 0) {
                    j++;
                    titles.push($(this).html());
                    return;
                }

                if ($(this).children().length != 0) {
                    vertex.push(parseInt($(this).children()[0].value));
                } else if (i == j) {
                    vertex.push(0);
                } else {
                    vertex.push(Infinity);
                }

                j++;
            });
            graph.push(vertex);
            i++;
        });

        graphToTable(graph);
        console.log(floydWarshall(graph));
        $("#myModal").modal({
            "show": true
        });
    }


</script>


